Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/eq_regions_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/eq_regions_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/eq_regions_mod.F90	(revision 5158)
@@ -150,5 +150,5 @@
 if( l_regions_debug )then
   write(*,'("eq_regions: N=",I6," n_regions_ns=",I4)') N,n_regions_ns
-  do j=1,n_regions_ns
+  DO j=1,n_regions_ns
     write(*,'("eq_regions: n_regions(",I4,")=",I4)') j,n_regions(j)
   enddo
@@ -207,5 +207,5 @@
   a_fitting = (pi-2.0_jprb*c_polar)/float(n_collars)
   ideal_region_area = area_of_ideal_region(N)
-  do collar_n=1,n_collars
+  DO collar_n=1,n_collars
     ideal_collar_area = area_of_collar(c_polar+(collar_n-1)*a_fitting, &
      & c_polar+collar_n*a_fitting)
@@ -248,5 +248,5 @@
 n_regions(1:n_collars+2) = r_regions(:)
 discrepancy = 0.0_jprb
-do zone_n = 1,n_collars+2
+DO zone_n = 1,n_collars+2
     n_regions(zone_n) = nint(r_regions(zone_n)+discrepancy);
     discrepancy = discrepancy+r_regions(zone_n)-float(n_regions(zone_n));
@@ -351,10 +351,10 @@
 if (n .gt. 0) then
   w = x - 1
-  do k = 2, n
+  DO k = 2, n
     w = w * (x - k)
   end do
 else
   w = 1
-  do k = 0, -n - 1
+  DO k = 0, -n - 1
     y = y * (x + k)
   end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sucst.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sucst.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sucst.F90	(revision 5158)
@@ -290,5 +290,5 @@
   WRITE(KULOUT,'(10(1X,E10.4))') (ESS(RTT+10._JPRB*J),J=-4,4)
 !  call flush(0)       !!!!! A REVOIR (MPL) les 7 lignes qui suivent
-   do j=1,9
+   DO j=1,9
      print*,'TEST J',j
      print*,'RTT...',RTT+10._JPRB*(J-5)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5158)
@@ -5,5 +5,5 @@
 
   USE cdrag_mod
-  USE screenp_mod
+  USE lmdz_screenp, ONLY: screenp
   USE screenc_mod
   IMPLICIT NONE
@@ -157,5 +157,5 @@
     !----------First aproximation of variables at zref --------------------------
     zref = 2.0
-    CALL screenp(klon, knon, nsrf, speed, tpot, q1, &
+    CALL screenp(klon, knon, speed, tpot, q1, &
             ts1, qsurf, z0m, lmon, &
             ustar, testar, qstar, zref, &
@@ -259,8 +259,6 @@
 
     zref = 10.0
-    CALL screenp(klon, knon, nsrf, speed, tpot, q1, &
-            ts1, qsurf, z0m, lmon, &
-            ustar, testar, qstar, zref, &
-            delu, delte, delq)
+    CALL screenp(klon, knon, speed, tpot, q1, ts1, qsurf, z0m, lmon, ustar, &
+            testar, qstar, zref, delu, delte, delq)
 
     DO i = 1, knon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5158)
@@ -120,10 +120,10 @@
   REAL, parameter :: deltaz = 2000.0
 
-  real :: faktor
-  real :: pmk, pm, a, b, tm, dtdp, dtdz, dlnp, tdlnp
-  real :: ag, bg, ptph, ttph, a0, b0
-  real :: pm0, tm0, pmk0, dtdz0
-  real :: p2km, asum, aquer
-  real :: pmk2, pm2, a2, b2, tm2, dtdp2, dtdz2
+  REAL :: faktor
+  REAL :: pmk, pm, a, b, tm, dtdp, dtdz, dlnp, tdlnp
+  REAL :: ag, bg, ptph, ttph, a0, b0
+  REAL :: pm0, tm0, pmk0, dtdz0
+  REAL :: p2km, asum, aquer
+  REAL :: pmk2, pm2, a2, b2, tm2, dtdp2, dtdz2
   INTEGER :: icount, jj, j
 
@@ -171,5 +171,5 @@
 
     ! test until apm < p2km
-    do jj = j, 2, -1
+    DO jj = j, 2, -1
 
       pmk2 = .5 * (p(jj - 1)**rkappa + p(jj)**rkappa)    ! p mean ^kappa
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5158)
@@ -178,5 +178,5 @@
 #ifdef ISOVERIF
 !        WRITE(*,*) 'surf_land_mod 162'
-        do i=1,knon
+        DO i=1,knon
           IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(precip_snow(i), &
@@ -191,6 +191,6 @@
 #ifdef ISOVERIF
 !       WRITE(*,*) 'surf_land 169: ok_veget=',ok_veget
-        do i=1,knon
-         do ixt=1,ntiso
+        DO i=1,knon
+         DO ixt=1,ntiso
            CALL iso_verif_noNaN(xtprecip_snow(ixt,i),'surf_land 146')
          enddo
@@ -251,5 +251,5 @@
 #ifdef ISOVERIF
      WRITE(*,*) 'surf_land 193: apres surf_land_orchidee'
-     do i=1,knon
+     DO i=1,knon
         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5158)
@@ -447,5 +447,5 @@
         coefc = log(z03 / z02) / (ta3 - ta2)
         coefd = log(z03) - coefc * ta3
-        do j = 1, knon
+        DO j = 1, knon
           IF (temp_air(j) < ta1) THEN
             z0m(j) = z01
@@ -474,5 +474,5 @@
       IF (ok_bs) THEN
         fluxbs(:) = 0.
-        do j = 1, knon
+        DO j = 1, knon
           ws1(j) = (u1(j)**2 + v1(j)**2)**0.5
           ustar(j) = (cdragm(j) * (u1(j)**2 + v1(j)**2))**0.5
@@ -482,5 +482,5 @@
 
         ! 1st step: erosion of fresh snow accumulated during the time step
-        do j = 1, knon
+        DO j = 1, knon
           IF (precip_snow(j) > 0.) THEN
             rhos(j) = rhofresh_bs
@@ -528,5 +528,5 @@
         ! computation of threshold friction velocity
         ! which depends on surface snow density
-        do j = 1, knon
+        DO j = 1, knon
           IF (ok_remaining_freshsnow(j)) THEN
             fluxbs_2(j) = 0.
@@ -564,5 +564,5 @@
 
         ! final flux and outputs
-        do j = 1, knon
+        DO j = 1, knon
           ! total flux is the erosion of fresh snow +
           ! a fraction of the underlying snow (if all the fresh snow has been eroded)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5158)
@@ -162,5 +162,5 @@
   zt(:, :) = pt(:, :) + zalpha * d_t(:, :)
 
-  do k = 1, klev
+  DO k = 1, klev
     exner(:, k) = (play(:, k) / plev(:, 1))**RKAPPA
     masse(:, k) = (plev(:, k) - plev(:, k + 1)) / RG
@@ -170,5 +170,5 @@
   ! Atmospheric mass at layer interfaces, where the TKE is computed
   masseb(:, :) = 0.
-  do k = 1, klev
+  DO k = 1, klev
     masseb(:, k) = masseb(:, k) + masse(:, k)
     masseb(:, k + 1) = masseb(:, k + 1) + masse(:, k)
@@ -178,5 +178,5 @@
   zlev(:, 1) = 0.
   zlay(:, 1) = RCPD * teta(:, 1) * (1. - exner(:, 1))
-  do k = 1, klev - 1
+  DO k = 1, klev - 1
     zlay(:, k + 1) = zlay(:, k) + 0.5 * RCPD * (teta(:, k) + teta(:, k + 1)) * (exner(:, k) - exner(:, k + 1)) / RG
     zlev(:, k) = 0.5 * (zlay(:, k) + zlay(:, k + 1)) ! PASBO
@@ -187,5 +187,5 @@
   fluxt(:, klev + 1) = 0.
 
-  do k = klev, 1, -1
+  DO k = klev, 1, -1
     fluxu(:, k) = fluxu(:, k + 1) + masse(:, k) * d_u(:, k)
     fluxv(:, k) = fluxv(:, k + 1) + masse(:, k) * d_v(:, k)
@@ -197,5 +197,5 @@
   dddt(:, 1) = (exner(:, 1) - 1.) * fluxt(:, 1)
 
-  do k = 2, klev
+  DO k = 2, klev
     dddu(:, k) = (zu(:, k) - zu(:, k - 1)) * fluxu(:, k)
     dddv(:, k) = (zv(:, k) - zv(:, k - 1)) * fluxv(:, k)
@@ -263,6 +263,6 @@
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-  do k = 2, klev
-    do ig = 1, ngrid
+  DO k = 2, klev
+    DO ig = 1, ngrid
       dz(ig, k) = zlay(ig, k) - zlay(ig, k - 1)
       m2(ig, k) = ((zu(ig, k) - zu(ig, k - 1))**2 + (zv(ig, k) - zv(ig, k - 1))**2) / (dz(ig, k) * dz(ig, k))
@@ -301,10 +301,10 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       sq(ig) = 1.e-10
       sqz(ig) = 1.e-10
     enddo
-    do k = 2, klev - 1
-      do ig = 1, ngrid
+    DO k = 2, klev - 1
+      DO ig = 1, ngrid
         zq = sqrt(q2(ig, k))
         sqz(ig) = sqz(ig) + zq * zlev(ig, k) * (zlay(ig, k) - zlay(ig, k - 1))
@@ -312,9 +312,9 @@
       enddo
     enddo
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       l0(ig) = 0.2 * sqz(ig) / sq(ig)
     enddo
-    do k = 2, klev
-      do ig = 1, ngrid
+    DO k = 2, klev
+      DO ig = 1, ngrid
         l(ig, k) = fl(zlev(ig, k), l0(ig), q2(ig, k), n2(ig, k))
       enddo
@@ -329,6 +329,6 @@
 
     l0(:) = 150.
-    do k = 2, klev
-      do ig = 1, ngrid
+    DO k = 2, klev
+      DO ig = 1, ngrid
         l(ig, k) = fl(zlev(ig, k), l0(ig), q2(ig, k), n2(ig, k))
       enddo
